This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 97406 - kernel trobles maybe ralated to missing files compared to rpm database ?
kernel trobles maybe ralated to missing files compared to rpm database ?
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-14 15:19 EDT by Benny Pedersen
Modified: 2007-04-18 12:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-23 10:02:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel 2.4.18 26.8 dmesg log (5.81 KB, text/plain)
2003-06-14 20:42 EDT, Benny Pedersen
no flags Details
kernel 2.4.20 18.8 (5.31 KB, text/plain)
2003-06-14 20:47 EDT, Benny Pedersen
no flags Details

  None (edit)
Description Benny Pedersen 2003-06-14 15:19:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
Jun 13 04:17:15 junc kernel:  ------------[ cut here ]------------
Jun 13 04:17:15 junc kernel: kernel BUG at page_alloc.c:131!
Jun 13 04:17:15 junc kernel: invalid operand: 0000
Jun 13 04:17:15 junc kernel: sg sd_mod nls_iso8859-1 sr_mod soundcore mousedev
input ip_nat_irc ip_conntrack_irc ip_nat_ftp ip_conntrack_ftp ipt_REJECT ipt_LOG
ipt_limit ipt_MASQUERADE ip
Jun 13 04:17:15 junc kernel: CPU:    0
Jun 13 04:17:15 junc kernel: EIP:    0010:[<c0138119>]    Not tainted
Jun 13 04:17:15 junc kernel: EFLAGS: 00010286
Jun 13 04:17:15 junc kernel:
Jun 13 04:17:15 junc kernel: EIP is at __free_pages_ok [kernel] 0xd9 (2.4.20-18.8)
Jun 13 04:17:15 junc kernel: eax: c173ed00   ebx: c15de978   ecx: 00000000  
edx: 00000000
Jun 13 04:17:15 junc kernel: esi: da8d88cc   edi: 00000000   ebp: 1ad4f065  
esp: da8dbebc
Jun 13 04:17:15 junc kernel: ds: 0018   es: 0018   ss: 0018
Jun 13 04:17:15 junc kernel: Process miniserv.pl (pid: 1234, stackpage=da8db000)
Jun 13 04:17:15 junc kernel: Stack: c0302680 00000296 c0302904 c15de9b0 c0302680
c1038030 c0302898 da8d88cc
Jun 13 04:17:15 junc kernel:        da8d88cc 00100000 c15de978 da8d88cc 00100000
1ad4f065 c012925c c15de978
Jun 13 04:17:15 junc kernel:        000e7000 c012b5d7 da90f340 080e7000 da8d88cc
00000001 000000e8 08400000
Jun 13 04:17:15 junc kernel: Call Trace:   [<c012925c>] __free_pte [kernel] 0x4c
(0xda8dbef4))
Jun 13 04:17:15 junc rc: Stopping webmin:  succeeded
Jun 13 04:17:15 junc kernel: [<c012b5d7>] zap_pte_range [kernel] 0x127 (0xda8dbf00))
Jun 13 04:17:15 junc kernel: [<c01298ab>] zap_page_range [kernel] 0xcb (0xda8dbf28))
Jun 13 04:17:15 junc kernel: [<c012cb4f>] exit_mmap [kernel] 0xaf (0xda8dbf68))
Jun 13 04:17:15 junc kernel: [<c0118c17>] mmput [kernel] 0x47 (0xda8dbf8c))
Jun 13 04:17:15 junc kernel: [<c011d716>] do_exit [kernel] 0xa6 (0xda8dbf9c))
Jun 13 04:17:15 junc kernel: [<c011d903>] sys_exit [kernel] 0x13 (0xda8dbfb8))
Jun 13 04:17:15 junc kernel: [<c0108dff>] system_call [kernel] 0x33 (0xda8dbfc0))
Jun 13 04:17:15 junc kernel:
Jun 13 04:17:15 junc kernel:
Jun 13 04:17:15 junc kernel: Code: 0f 0b 83 00 e5 56 25 c0 8b 43 18 89 f9 89 de
83 e0 eb 89 43 

Version-Release number of selected component (if applicable):
kernel 2.4.20-18.8 athlon

How reproducible:
Didn't try

Steps to Reproduce:
only seen once in my log file

Actual Results:  seams to get xwindows to hang in a way that i can't shutdown
x11 so only way left is hardware reset

Expected Results:  when pressing control alt backspace it normal to kill
xwindows if it does not respond

Additional info:

i did a "rpm -V --all" and find some missing files, how do i resolve this ?
Comment 1 Benny Pedersen 2003-06-14 20:42:38 EDT
Created attachment 92403 [details]
kernel 2.4.18 26.8 dmesg log

tryed this kernel here, i wonder about fix pci problem is ?
Comment 2 Benny Pedersen 2003-06-14 20:47:21 EDT
Created attachment 92404 [details]
kernel 2.4.20 18.8

this is the latest kernel that still do me some troble about stablelity
Comment 3 Alan Cox 2003-06-22 13:57:15 EDT
You might want to run memtest86 on the system looking at the pattern of problems.
Comment 4 Benny Pedersen 2003-06-23 10:02:49 EDT
it was my ram, thanks for your help, i will say it bug is closed by now

but what about the bios pci fix ?
Comment 5 Alan Cox 2003-06-23 10:14:02 EDT
Thats fine - we fixed something the bios didnt get right.

Note You need to log in before you can comment on or make changes to this bug.